/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
import { ComponentDialog } from 'botbuilder-dialogs';
import { MicrosoftAppCredentials } from 'botframework-connector';
import { IOAuthConnection } from '../authentication';
export declare class MultiProviderAuthDialog extends ComponentDialog {
    private selectedAuthType;
    private readonly authenticationConnections;
    private readonly responseManager;
    private readonly localAuthConfigured;
    private readonly appCredentials;
    constructor(authenticationConnections: IOAuthConnection[], appCredentials: MicrosoftAppCredentials);
    private firstStep;
    private sendRemoteEvent;
    private receiveRemoteEvent;
    private promptForProvider;
    private promptForAuth;
    private handleTokenResponse;
    private createProviderTokenResponse;
    private getTokenStatus;
    private tokenResponseValidator;
    private authPromptValidator;
}
