"use strict";
/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
function isProviderTokenResponse(value) {
    return value !== undefined && value.authenticationProvider !== undefined;
}
exports.isProviderTokenResponse = isProviderTokenResponse;
function getAuthenticationProvider(provider) {
    switch (provider) {
        case 'Azure Active Directory':
        case OAuthProvider.AzureAD.toString():
            return OAuthProvider.AzureAD;
        case OAuthProvider.Google.toString():
            return OAuthProvider.Google;
        case OAuthProvider.Todoist.toString():
            return OAuthProvider.Todoist;
        default:
            throw new Error(`The given provider '${provider}' could not be parsed.`);
    }
}
exports.getAuthenticationProvider = getAuthenticationProvider;
var OAuthProvider;
(function (OAuthProvider) {
    OAuthProvider["AzureAD"] = "Azure Active Directory v2";
    OAuthProvider["Google"] = "Google";
    OAuthProvider["Todoist"] = "Todoist";
})(OAuthProvider = exports.OAuthProvider || (exports.OAuthProvider = {}));
//# sourceMappingURL=providerTokenResponse.js.map