"use strict";
/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const botbuilder_dialogs_1 = require("botbuilder-dialogs");
const botframework_schema_1 = require("botframework-schema");
class EventPrompt extends botbuilder_dialogs_1.ActivityPrompt {
    /**
     * EventPrompt
     */
    constructor(dialogId, eventName, validator) {
        super(dialogId, validator);
        this.eventName = eventName;
    }
    async onRecognize(context, state, options) {
        const result = { succeeded: false };
        const activity = context.activity;
        if (activity.type === botframework_schema_1.ActivityTypes.Event && activity.name === this.eventName) {
            result.succeeded = true;
            result.value = activity;
        }
        return Promise.resolve(result);
    }
}
exports.EventPrompt = EventPrompt;
//# sourceMappingURL=eventPrompt.js.map