/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
import { BotTelemetryClient } from 'botbuilder-core';
import { ComponentDialog, DialogContext, DialogTurnResult } from 'botbuilder-dialogs';
import { InterruptionAction } from './interruptionAction';
export declare abstract class InterruptableDialog extends ComponentDialog {
    primaryDialogName: string;
    constructor(dialogId: string, telemetryClient: BotTelemetryClient);
    protected onBeginDialog(dc: DialogContext, options: object): Promise<DialogTurnResult>;
    protected onContinueDialogAsync(dc: DialogContext): Promise<DialogTurnResult>;
    protected abstract onInterruptDialog(dc: DialogContext): Promise<InterruptionAction>;
}
