"use strict";
/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var InterruptionAction;
(function (InterruptionAction) {
    /**
     * Indicates that the active dialog was interrupted and needs to resume.
     */
    InterruptionAction[InterruptionAction["MessageSentToUser"] = 0] = "MessageSentToUser";
    /**
     * Indicates that there is a new dialog waiting and the active dialog needs to be shelved.
     */
    InterruptionAction[InterruptionAction["StartedDialog"] = 1] = "StartedDialog";
    /**
     * Indicates that no interruption action is required.
     */
    InterruptionAction[InterruptionAction["NoAction"] = 2] = "NoAction";
})(InterruptionAction = exports.InterruptionAction || (exports.InterruptionAction = {}));
//# sourceMappingURL=interruptionAction.js.map