/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
export declare namespace ListExtensions {
    /**
     * Converts a list into a string that can be used in speech.
     * @param list The list to be converted.
     * @param finalSeparator The separator to be used for the last element of the list ("and" or "or" for example).
     * @param stringAccessor A method that can be used to extract the elements from the list if it is a complex type.
     * @returns A comma separated string with the elements in the list.
     */
    function toSpeechString<T>(list: T[], finalSeparator: string, stringAccessor?: (value: T) => string): string;
}
