"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
var Locales;
(function (Locales) {
    const defaultLocalesPath = path_1.join(__dirname, 'locales');
    async function addResourcesFromPath(instance, namespace, localesPath) {
        if (instance === undefined) {
            throw new Error(('Missing parameter.  \'instance\' is required'));
        }
        if (namespace === undefined) {
            throw new Error(('Missing parameter.  \'namespace\' is required'));
        }
        if (localesPath && !path_1.isAbsolute(localesPath)) {
            throw new Error(('\'localesPath\' must be an absolute path'));
        }
        const localesDir = localesPath || defaultLocalesPath;
        const files = fs_1.readdirSync(localesDir)
            .filter((file) => file.endsWith('.json'));
        files.forEach((file) => {
            const language = path_1.basename(file, '.json');
            const languagePath = path_1.join(localesDir, file);
            // eslint-disable-next-line @typescript-eslint/tslint/config
            const resource = JSON.parse(fs_1.readFileSync(languagePath, 'utf8'));
            instance.addResourceBundle(language, namespace, resource, true, false);
        });
    }
    Locales.addResourcesFromPath = addResourcesFromPath;
})(Locales = exports.Locales || (exports.Locales = {}));
//# sourceMappingURL=localesUtils.js.map