"use strict";
/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const i18next_1 = require("i18next");
/**
 * Set locale by user input locale.
 */
class SetLocaleMiddleware {
    constructor(defaultLocale) {
        this.defaultLocale = defaultLocale;
    }
    async onTurn(context, next) {
        const cultureInfo = context.activity.locale || this.defaultLocale;
        await i18next_1.default.changeLanguage(cultureInfo);
        return next();
    }
}
exports.SetLocaleMiddleware = SetLocaleMiddleware;
//# sourceMappingURL=setLocaleMiddleware.js.map