/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
import { Middleware, StatePropertyAccessor, TurnContext } from 'botbuilder';
import { ProactiveModel } from './proactiveModel';
import { ProactiveState } from './proactiveState';
/**
 * A Middleware for saving the proactive model data
 * This middleware will refresh user's latest conversation reference and save it to state.
 */
export declare class ProactiveStateMiddleware implements Middleware {
    private readonly proactiveState;
    private readonly proactiveStateAccessor;
    constructor(proactiveState: ProactiveState, proactiveStateAccessor: StatePropertyAccessor<ProactiveModel>);
    onTurn(context: TurnContext, next: () => Promise<void>): Promise<void>;
}
