"use strict";
/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const botframework_schema_1 = require("botframework-schema");
class ResponseTemplate {
    constructor() {
        this.replies = [];
        this.suggestedActions = [];
        this.inputHint = botframework_schema_1.InputHints.AcceptingInput;
    }
    get reply() {
        if (this.replies.length > 0) {
            return this.replies[this.getRandom(this.replies.length)];
        }
        return undefined;
    }
    getRandom(upper) {
        // tslint:disable-next-line:insecure-random
        return Math.floor(Math.random() * upper);
    }
}
exports.ResponseTemplate = ResponseTemplate;
//# sourceMappingURL=responseTemplate.js.map