/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
import { Activity, BotAdapter, ConversationReference, Middleware, ResourceResponse, TurnContext } from 'botbuilder';
import { IBackgroundTaskQueue } from '../taskExtensions';
export declare class InProcAdapter extends BotAdapter {
    private readonly queuedActivities;
    private messageReceivedHandler?;
    private readonly lastId;
    private readonly nextId;
    backgroundTaskQueue?: IBackgroundTaskQueue;
    constructor();
    processActivity(activity: Partial<Activity>, callback: (revocableContext: TurnContext) => Promise<void>, messageReceivedHandler?: (activities: Partial<Activity>[]) => Promise<void>): Promise<void>;
    use(middleware: Middleware): this;
    continueConversation(reference: Partial<ConversationReference>, logic: (revocableContext: TurnContext) => Promise<void>): Promise<void>;
    getNextReply(): Partial<Activity> | undefined;
    getReplies(): Partial<Activity>[];
    sendActivities(context: TurnContext, activities: Partial<Activity>[]): Promise<ResourceResponse[]>;
    private sleep;
    updateActivity(context: TurnContext, activity: Partial<Activity>): Promise<void>;
    deleteActivity(context: TurnContext, reference: Partial<ConversationReference>): Promise<void>;
}
