"use strict";
/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
class SkillRouter {
    constructor(registeredSkills) {
        // Retrieve any Skills that have been registered with the Bot
        this.registeredSkills = registeredSkills;
    }
    identifyRegisteredSkill(skillName) {
        let matchedSkill;
        // Did we find any skills?
        if (this.registeredSkills !== undefined) {
            // Identify a skill by taking the LUIS model name identified by the dispatcher and matching to the skill luis model name
            // Bug raised on dispatcher to move towards LuisModelId instead perhaps?
            matchedSkill = this.registeredSkills.find((s) => s.dispatchIntent === skillName);
            return matchedSkill;
        }
        else {
            return undefined;
        }
    }
}
exports.SkillRouter = SkillRouter;
//# sourceMappingURL=skillRouter.js.map