"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
const p_queue_1 = require("p-queue");
class BackgroundTaskQueue {
    constructor() {
        this.queueExecutor = new p_queue_1.default({
            concurrency: 1,
            autoStart: true
        });
    }
    async queueBackgroundWorkItem(workItem) {
        if (workItem === undefined) {
            throw new Error('Missing parameter.  workItem is required');
        }
        await this.queueExecutor.add(workItem);
    }
}
exports.BackgroundTaskQueue = BackgroundTaskQueue;
//# sourceMappingURL=backgroundTaskQueue.js.map