"use strict";
/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const commonUtil_1 = require("./commonUtil");
class ConfigData {
    constructor() {
        // tslint:disable:variable-name
        this._maxReadSize = commonUtil_1.CommonUtil.maxReadSize;
        this._maxDisplaySize = commonUtil_1.CommonUtil.maxDisplaySize;
        this.maxReadSize = commonUtil_1.CommonUtil.maxReadSize;
        this.maxDisplaySize = commonUtil_1.CommonUtil.maxDisplaySize;
    }
    get maxReadSize() {
        return this._maxReadSize;
    }
    set maxReadSize(value) {
        this._maxReadSize = Math.min(value, commonUtil_1.CommonUtil.maxReadSize);
    }
    get maxDisplaySize() {
        return this._maxDisplaySize;
    }
    set maxDisplaySize(value) {
        this._maxDisplaySize = Math.min(value, commonUtil_1.CommonUtil.maxDisplaySize);
    }
}
// tslint:enable:variable-name
ConfigData.instance = new ConfigData();
exports.ConfigData = ConfigData;
//# sourceMappingURL=configData.js.map