"use strict";
/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const recognizers_text_choice_1 = require("@microsoft/recognizers-text-choice");
var ConfirmRecognizerHelper;
(function (ConfirmRecognizerHelper) {
    const valueKey = 'value';
    function confirmYerOrNo(utterance, locale = '') {
        let result = { succeeded: false };
        if (utterance !== undefined && utterance.trim().length > 0) {
            // Recognize utterance
            const results = recognizers_text_choice_1.recognizeBoolean(utterance, locale);
            if (results.length > 0) {
                const first = results[0];
                const value = first.resolution[valueKey];
                if (value !== undefined) {
                    result = {
                        succeeded: true,
                        value: value
                    };
                }
            }
        }
        return result;
    }
    ConfirmRecognizerHelper.confirmYerOrNo = confirmYerOrNo;
})(ConfirmRecognizerHelper = exports.ConfirmRecognizerHelper || (exports.ConfirmRecognizerHelper = {}));
//# sourceMappingURL=confirmRecognizerHelper.js.map